package com.dla.dda.domain.contrato;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Map;

public class FeesSuscriptor implements Serializable {

	private static final long serialVersionUID = 1L;

	private Date fechaInicio;
	private Date fechaFin;
	private Integer idTipoSuscriptor;
	private Map<String, List<Rango>> periodos;

	public FeesSuscriptor() {
		super();
	}

	public FeesSuscriptor(Date fechaInicio, Date fechaFin, Integer idTipoSuscriptor,
			Map<String, List<Rango>> periodos) {
		super();
		this.fechaInicio = fechaInicio;
		this.fechaFin = fechaFin;
		this.idTipoSuscriptor = idTipoSuscriptor;
		this.periodos = periodos;
	}

	public Date getFechaInicio() {
		return fechaInicio;
	}

	public void setFechaInicio(Date fechaInicio) {
		this.fechaInicio = fechaInicio;
	}

	public Date getFechaFin() {
		return fechaFin;
	}

	public void setFechaFin(Date fechaFin) {
		this.fechaFin = fechaFin;
	}

	public Integer getIdTipoSuscriptor() {
		return idTipoSuscriptor;
	}

	public void setIdTipoSuscriptor(Integer idTipoSuscriptor) {
		this.idTipoSuscriptor = idTipoSuscriptor;
	}

	public Map<String, List<Rango>> getPeriodos() {
		return periodos;
	}

	public void setPeriodos(Map<String, List<Rango>> periodos) {
		this.periodos = periodos;
	}

	@Override
	public String toString() {
		return "FeesSuscriptor [fechaInicio=" + fechaInicio + ", fechaFin="
				+ fechaFin + ", idTipoSuscriptor=" + idTipoSuscriptor
				+ ", periodos=" + periodos + "]";
	}
	
	

}
